#![no_std]

use core::fmt::Debug;
use embassy_time::Timer;
use log::error;

pub async fn unwrap<T, E: Debug>(res: Result<T, E>) -> T {
    match res {
        Ok(v) => v,
        Err(e) => {
            error!("FATAL ERROR : {:?}", e);
            loop {
                error!("FATAL ERROR : {:?}", e);
                Timer::after_secs(5).await;
            }
        }
    }
}